Module java.desktop
Package javax.swing.plaf.basic

# Class BasicTreeUI.TreePageAction

java.lang.Object
javax.swing.AbstractAction
javax.swing.plaf.basic.BasicTreeUI.TreePageAction

All Implemented Interfaces:
  `ActionListener`, `Serializable`, `Cloneable`, `EventListener`, `Action`

Enclosing class:
  `BasicTreeUI`

public class BasicTreeUI.TreePageAction extends AbstractAction
TreePageAction handles page up and page down events.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`direction`
Specifies the direction to adjust the selection by.

### Fields declared in class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields declared in interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

## Constructor Summary

Constructors
Constructor
Description
`TreePageAction(int direction, String name)`
Constructs a new instance of `TreePageAction`.

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
Invoked when an action occurs.

### Methods declared in class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods declared in class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.swing.Action

`accept`

## Field Details

### direction

protected int direction
Specifies the direction to adjust the selection by.

## Constructor Details

### TreePageAction

public TreePageAction(int direction, String name)
Constructs a new instance of `TreePageAction`.

Parameters:
  `direction` - the direction
  `name` - the name of action

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent e)
Description copied from interface: `ActionListener`
Invoked when an action occurs.

Parameters:
  `e` - the event to be processed